TMS-90809: Deprecated API Usage - Apple will stop accepting submissions of apps that use UIWebView APIs



  • After installing cordova-plugin-wkwebview-engine and define in config.xml -
    <feature name=“CDVWKWebViewEngine”>
    <param name=“ios-package” value=“CDVWKWebViewEngine” />
    </feature>
    <preference name=“CordovaWebViewEngine” value=“CDVWKWebViewEngine” />
    I still get after submit the warning “TMS-90809: Deprecated API Usage - Apple will stop accepting submissions of apps that use UIWebView APIs”

    Please Help



  • I finally managed to solve the problem after reading:
    “Ensure you have a WKWebView plugin installed: either the official Apache one or Ionic’s. All Ionic starter apps automatically include cordova-plugin-ionic-webview.
    Add <preference name=“WKWebViewOnly” value=“true” /> to your config.xml file.
    Update each Cordova plugin to the latest version (these can trigger the warning too). Better yet – remove them if they are no longer needed!
    Run cordova prepare ios to apply the changes.”


Log in to reply